ポリプロピレン

PHPを1からお勉強するブログ

MySQLは5.6を入れておくのが無難

結論から先に言いますとMySQLは最新版(現時点では8.0.12)を入れるより5.6を入れておいたほうが無難だと思います。

なので

$ brew install mysql

ではなく

$ brew install mysql@5.6

と、バージョンを指定して入れました。

ebc-2in2crc.hatenablog.jp

そこでcommand not foundになるエラーに遭遇。

ema-hiro.hatenablog.com

上記の通り

$ sudo cp /usr/local/opt/mysql@5.6/bin/mysql /usr/local/bin

とコピーしてあげると直りました。

早速プログラミングとデータベース編に入りたいところですが、MySQL8.0.12を入れてみて出たエラーを別記事にまとめたいと思います。